Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros
outlines.h File Reference
`#include "blobs.h"`
`#include "chop.h"`
`#include <math.h>`

Go to the source code of this file.

## Macros

#define | LARGE_DISTANCE 100000 /* Used for closest dist */
#define | MIN_BLOB_SIZE 10 /* Big units */
#define | MAX_ASPECT_RATIO 2.5 /* Widest character */
#define | same_point(p1, p2)
#define | dist_square(p1, p2)
#define | closest(test_p, p1, p2)
#define | edgept_dist(p1, p2) (dist_square ((p1)->pos, (p2)->pos))
#define | is_exterior_point(edge, point)
#define | is_equal(p1, p2) (((p1).x == (p2).x) && ((p1).y == (p2).y))
#define | is_on_line(p, p0, p1)
#define | within_range(x, x0, x1) (((x0 <= x) && (x <= x1)) || ((x1 <= x) && (x <= x0)))

## Macro Definition Documentation

#define closest | ( |  | test_p,
|  |  | p1,
|  |  | p2
| ) |  |

Value:
(p1 ? \
(p2 ? \
((dist_square (test_p->pos, p1->pos) < \
dist_square (test_p->pos, p2->pos)) ? \
p1 : \
p2) : \
p1) : \
p2)

Definition at line 71 of file outlines.h.

#define dist_square | ( |  | p1,
|  |  | p2
| ) |  |

Value:
((p2.x - p1.x) * (p2.x - p1.x) + \
(p2.y - p1.y) * (p2.y - p1.y))

Definition at line 60 of file outlines.h.

#define edgept_dist | ( |  | p1,
|  |  | p2
| ) |  | (dist_square ((p1)->pos, (p2)->pos))

Definition at line 87 of file outlines.h.

#define is_equal | ( |  | p1,
|  |  | p2
| ) |  | (((p1).x == (p2).x) && ((p1).y == (p2).y))

Definition at line 109 of file outlines.h.

#define is_exterior_point | ( |  | edge,
|  |  | point
| ) |  |

Value:
(same_point (edge->prev->pos, point->pos) || \
same_point (edge->next->pos, point->pos) || \
(angle_change (edge->prev, edge, edge->next) - \
angle_change (edge->prev, edge, point) > 20))

Definition at line 97 of file outlines.h.

#define is_on_line | ( |  | p,
|  |  | p0,
|  |  | p1
| ) |  |

Value:
(within_range ((p).x, (p0).x, (p1).x) && \
within_range ((p).y, (p0).y, (p1).y))

Definition at line 120 of file outlines.h.

#define LARGE_DISTANCE 100000 /* Used for closest dist */

Definition at line 36 of file outlines.h.

#define MAX_ASPECT_RATIO 2.5 /* Widest character */

Definition at line 38 of file outlines.h.

#define MIN_BLOB_SIZE 10 /* Big units */

Definition at line 37 of file outlines.h.

#define same_point | ( |  | p1,
|  |  | p2
| ) |  |

Value:
((abs (p1.x - p2.x) < chop_same_distance) && \
(abs (p1.y - p2.y) < chop_same_distance))

Definition at line 49 of file outlines.h.

#define within_range | ( |  | x,
|  |  | x0,
|  |  | x1
| ) |  | (((x0 <= x) && (x <= x1)) || ((x1 <= x) && (x <= x0)))

Definition at line 131 of file outlines.h.